<div class="horizontal-nav col" id="sidebar">
    <nav id="nav">
        <span id="logo" #img [routerLink]="['/']" (click)="toggleState(1)" skipLocationChange>
            <img src="../../assets/favicon.svg" height=96>
        </span>
        <div class="nav__item" #GS><a [routerLinkActive]="['nav__link--selected']" [routerLink]="['/']" [routerLinkActiveOptions]="{exact:
            true}" class="nav__link" (click)="toggleState(1)"
            skipLocationChange>{{'NAV.GETTINGSTARTED' | translate}}</a></div>
        <div class="nav__item" #maps><a [routerLinkActive]="['nav__link--selected']" [routerLink]="['/maps']" class="nav__link" (click)="toggleState(2)"
            skipLocationChange>{{'NAV.MAPS' | translate}}</a></div>
        <div class="nav__item" #community><a [routerLinkActive]="['nav__link--selected']" [routerLink]="['/community']" (click)="toggleState(3)"
            class="nav__link" skipLocationChange>{{'NAV.COMMUNITY' | translate}}</a></div>
        <!-- <li class="nav__item"><a [routerLinkActive]="['nav__link--selected']" [routerLink]="['/messages']"
            class="nav__link" skipLocationChange>Messages</a></li> -->
        <!-- <li class="nav__item"><a [routerLinkActive]="['nav__link--selected']" [routerLink]="['/preventive-measures']"
            class="nav__link" skipLocationChange>{{ 'NAV.PREVENTIVEMEASURES' | translate}}</a></li> -->
        <!-- <li class="nav__item"><a [routerLinkActive]="['nav__link--selected']" [routerLink]="['/community']"
            class="nav__link" skipLocationChange>Messages</a></li> -->
        <div class="nav__item" #logIn><a [routerLinkActive]="['nav__link--selected']" [routerLink]="['/login']" (click)="toggleState(4)" 
            class="nav__link" skipLocationChange>{{ 'NAV.LOGIN' | translate }}</a></div>
        <div class="nav__item " #exit><a class="nav__link exit" (click)="getAway()">{{ 'NAV.GETMEAWAY' | translate }}</a></div>
    </nav>
    <hr [style.margin-left]="position" [style.width.px]="width">
</div>
<div class="selector">
    {{ 'NAV.LANG' | translate }} :
    <select #langSelect (change)="lang.setLangToken(langSelect.value)">
      <option *ngFor="let lang of translate.getLangs()" [value]="lang" [selected]="lang === translate.currentLang">
        {{ lang }}</option>
    </select>
</div>
  